<?php
$naam = $_POST["naam"] ? $_POST["naam"] : $_COOKIE["naam"];
if (isset($naam)) {
	setcookie("naam", $naam, time()+60*60*24*30); // Cookie wordt dertig dagen bewaard
	echo "Welkom $naam";
} else {
?>
<form method="post" action="<?php echo $_SERVER["PHP_SELF"] ?>">
Hoe heet je? <input type="text" name="naam">
<input type="submit" name="verzenden" value="verzend">
</form>
<?php
}
?>